package pathgame.gameplay.menu;

public class MainMenu extends BaseMenu {
    private final MenuButton[] options;

    public MainMenu(int id, int optionsId, int characterId) {
        super(id);

        options = new MenuButton[]{
            new MenuButton("Start", (gamestate) -> setReturnId(characterId)),
            new MenuButton("Options", (gamestate) -> setReturnId(optionsId)),
            new MenuButton("Exit", (gamestate) -> gamestate.stop())
        };
    }

    @Override
    public MenuButton[] getOptions() {
        return options;
    }
}
