package pathgame.rendering;

import pathgame.tilemap.Tile;
import pathgame.tilemap.TileMap;

public class StaticTextureProvider implements TileTextureProvider {
    private final TileTexture tileTexture;

    public StaticTextureProvider(TileTexture tileTexture) {
        this.tileTexture = tileTexture;
    }

    @Override
    public TileTexture getTexture(TileMap map, Tile t, int x, int y) {
        return tileTexture;
    }
}
